Bug 822187 - Review Request: novnc - websockets based VNC client and simple server
Review Request: novnc - websockets based VNC client and simple server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 801685
  Show dependency treegraph
 
Reported: 2012-05-16 11:09 EDT by Adam Young
Modified: 2015-01-09 08:05 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-12 11:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
p: fedora‑review+


Attachments (Terms of Use)
spec adjustments (3.26 KB, patch)
2012-06-11 21:25 EDT, Pádraig Brady
no flags Details | Diff

  None (edit)
Description Adam Young 2012-05-16 11:09:14 EDT
Spec URL: http://admiyo.fedorapeople.org/noVNC/novnc.spec
SRPM URL: http://admiyo.fedorapeople.org/noVNC/novnc-0.3-1.f17ayoung.src.rpm
Description: - websockets based vnc client and simple server
Comment 1 sleepsonthefloor 2012-05-16 12:55:32 EDT
Hey Adam,

I see that you are using an index.html file as a work-around to stop directory browsing.  You may also consider adding such a file to public subdirectories (images, include, include/web-socket-js).

To make nova-novncproxy work out-of-the-box you could patch the --web default value to /usr/share/novnc: https://github.com/kanaka/noVNC/blob/master/utils/nova-novncproxy#L58
Comment 2 Pádraig Brady 2012-05-18 10:31:38 EDT
rpmlint:

novnc.noarch: W: summary-ended-with-dot C VNC client using HTML5 (Web Sockets, Canvas) with encryption (wss://) support.
novnc.noarch: E: description-line-too-long C Websocket implementation of VNC client,  with simple python-websockify starter script
novnc.noarch: W: incoherent-version-in-changelog 0.1.0-2 ['0.3-1.fc15', '0.3-1']
novnc.noarch: W: invalid-license GPL V3
novnc.noarch: W: no-manual-page-for-binary novnc_server

novnc-nova-proxy.noarch: W: spelling-error Summary(en_US) Openstack -> OpenStack
novnc-nova-proxy.noarch: W: spelling-error %description -l en_US Openstack -> OpenStack
novnc-nova-proxy.noarch: W: tag-in-description C Requires:
novnc-nova-proxy.noarch: W: tag-in-description C Requires:
novnc-nova-proxy.noarch: W: invalid-license GPL V3
novnc-nova-proxy.noarch: W: no-documentation
novnc-nova-proxy.noarch: W: no-manual-page-for-binary nova-novncproxy
Comment 3 Jose Castro Leon 2012-05-31 07:51:47 EDT
I installed the package in a cloud controller and it seems that there is a issue when using websockify rpm. It fails to start because a missing dependency. I found that needs wsproxy python module. Solved if you modify it like this

diff /usr/bin/nova-novncproxy.nopatch /usr/bin/nova-novncproxy
29c29
< import wsproxy
---
> import websockify as wsproxy


BTW in the RPM, I think that it need a way to start this service as it is on openstack in other distributions

/lib/systemd/system/openstack-nova-novncproxy.service
[Unit]
Description=OpenStack Nova NoVNC Proxy Server
After=syslog.target network.target

[Service]
Type=simple
User=nova
ExecStart=/usr/bin/nova-novncproxy --flagfile=/etc/nova/nova.conf --web /usr/share/novnc/

[Install]
WantedBy=multi-user.target
Comment 5 Adam Young 2012-06-11 14:25:51 EDT
Supports systemd for F17+ and RHEL7+  adn System V otherwise

http://admiyo.fedorapeople.org/noVNC/novnc-0.3-4.f17ayoung.src.rpm
http://admiyo.fedorapeople.org/noVNC/novnc.spec
Comment 6 Adam Young 2012-06-11 21:12:37 EDT
Minor update. This fixes an rpmlint error and also makes a correction to the SystemV init script


http://admiyo.fedorapeople.org/noVNC/novnc-0.3-5.f17ayoung.src.rpm
http://admiyo.fedorapeople.org/noVNC/novnc.spec
Comment 7 Pádraig Brady 2012-06-11 21:25:16 EDT
Created attachment 591056 [details]
spec adjustments

I've made some adjustments to the package as per the attached patch.
The following are rpmlint clean and build in mock:

http://pbrady.fedorapeople.org/novnc/novnc-0.3-5.fc15.src.rpm
http://pbrady.fedorapeople.org/novnc/novnc.spec
Comment 8 Pádraig Brady 2012-06-11 21:54:22 EDT
Merging in Adam's overlapping changes:

http://pbrady.fedorapeople.org/novnc/novnc-0.3-6.fc15.src.rpm
http://pbrady.fedorapeople.org/novnc/novnc.spec
Comment 9 Pádraig Brady 2012-06-11 21:57:10 EDT
New Package SCM Request
=======================
Package Name: novnc
Short Description: VNC client using HTML5 (Web Sockets, Canvas) with encryption support
Owners: pbrady nsantos
Branches: f16 f17 el6
InitialCC:
Comment 10 Jon Ciesla 2012-06-12 09:18:15 EDT
Summary and SCM request package nams don't match, please correct.
Comment 11 Pádraig Brady 2012-06-12 09:36:19 EDT
sorry I don't understand comment 10?
Comment 12 Jon Ciesla 2012-06-12 09:42:51 EDT
Summary has noVNC, SCM request is novnc, package names are case-sensitive.
Comment 13 Pádraig Brady 2012-06-12 09:50:03 EDT
Ah the bug summary is significant here.
I've synced both. Cheers.

New Package SCM Request
=======================
Package Name: novnc
Short Description: websockets based VNC client and simple server
Owners: pbrady nsantos
Branches: f16 f17 el6
InitialCC:
Comment 14 Jon Ciesla 2012-06-12 09:53:18 EDT
Git done (by process-git-requests).

Excellent, thanks very much!
Comment 15 Pádraig Brady 2012-06-12 11:00:27 EDT
thanks guys!
Comment 16 Alan Pevec 2012-06-13 05:56:50 EDT
openstack-nova-novncproxy is missing dependency, nova-novncproxy imports from nova:
--- a/novnc.spec
+++ b/novnc.spec
@@ -40,6 +40,7 @@ Summary:        Proxy server for noVNC traffic over Websockets
 Requires:       novnc
 Requires:       numpy
 Requires:       python-websockify
+Requires:       python-nova
 
 %if %{with_systemd}
 Requires(post): systemd-units
Comment 17 Fedora Update System 2012-06-13 10:41:12 EDT
novnc-0.3-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/novnc-0.3-8.fc17
Comment 18 Matthew Miller 2012-06-13 15:01:24 EDT
I notice this pulls in numpy, which in turn brings in a whole bunch of things like atlas and gfortran.

It looks like the code falls back to a slower implementation if numpy isn't available. Do we want to make it a hard requirement?
Comment 19 Matthew Miller 2012-06-13 15:06:36 EDT
(Also, correct me if I'm wrong, but the requirement is actually in python-websockify, not here at all? Except json2graph.py, which I don't think is packaged?)
Comment 20 Adam Young 2012-06-13 15:14:19 EDT
json2graph is not packaged.  We should drop the numpy dependancy.
Comment 21 Fedora Update System 2012-06-14 11:19:18 EDT
novnc-0.3-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/novnc-0.3-9.fc17
Comment 22 Fedora Update System 2012-06-15 05:36:20 EDT
novnc-0.3-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/novnc-0.3-10.fc17
Comment 23 Fedora Update System 2012-06-25 20:32:59 EDT
novnc-0.3-10.fc17 has been pushed to the Fedora 17 stable repository.
Comment 24 Alan Pevec 2015-01-09 06:33:56 EST
Unretiring novnc in EPEL6
https://lists.fedoraproject.org/pipermail/devel/2015-January/206230.html

Package Change Request
======================
Package Name: novnc
New Branches: el6
Owners: apevec
Comment 25 Jon Ciesla 2015-01-09 08:05:16 EST
Complete.

Note You need to log in before you can comment on or make changes to this bug.